Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order5.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/order5.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order5.dot
@@ -1,27 +1,35 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_stop_0 node1" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc4_stop_0 node1" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc5_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc5_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc6_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc6_monitor_0 node1" -> "rsc6_start_0 node1" [ style = bold]
 "rsc6_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_stop_0 node2" -> "all_stopped" [ style = bold]
 "rsc6_stop_0 node2" -> "rsc6_start_0 node1" [ style = bold]
 "rsc6_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc7_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc7_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc8_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc8_monitor_0 node1" -> "rsc8_start_0 node1" [ style = bold]
 "rsc8_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order5.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/order5.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order5.exp
@@ -179,6 +179,30 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="rsc5_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc6_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc7_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc8_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="12" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order6.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/order6.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order6.dot
@@ -1,27 +1,35 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_stop_0 node1" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc4_stop_0 node1" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc5_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc5_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc6_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc6_monitor_0 node1" -> "rsc6_start_0 node1" [ style = bold]
 "rsc6_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_stop_0 node2" -> "all_stopped" [ style = bold]
 "rsc6_stop_0 node2" -> "rsc6_start_0 node1" [ style = bold]
 "rsc6_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc7_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc7_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc8_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc8_monitor_0 node1" -> "rsc8_start_0 node1" [ style = bold]
 "rsc8_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order6.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/order6.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/order6.exp
@@ -179,6 +179,30 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="rsc5_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc6_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc7_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc8_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="12" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/orphan-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-1.dot
@@ -1,18 +1,30 @@
  digraph "g" {
 "Cancel rsc_c001n02_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black" ]
 "Cancel rsc_c001n03_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc_c001n01_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_6000 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_delete_0 c001n08" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/orphan-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-1.exp
@@ -164,6 +164,42 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="29" operation="stop" operation_key="rsc_c001n08_stop_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/orphan-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-2.dot
@@ -1,18 +1,30 @@
 digraph "g" {
 "Cancel rsc_c001n02_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black"]
 "Cancel rsc_c001n03_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black"]
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black"]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black"]
+"DcIPaddr_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"rsc_c001n01_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n02" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n03_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n03_monitor_6000 c001n03" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n08_clear_failcount_0 c001n02" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/orphan-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/orphan-2.exp
@@ -189,6 +189,42 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="31" operation="stop" operation_key="rsc_c001n08_stop_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/params-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-1.dot
@@ -1,10 +1,13 @@
  digraph "g" {
 "Cancel rsc_c001n02_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_start_0 c001n02" [ style = bold]
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n03" -> "DcIPaddr_start_0 c001n02" [ style = bold]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n08" -> "DcIPaddr_start_0 c001n02" [ style = bold]
+"DcIPaddr_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_start_0 c001n02" -> "DcIPaddr_monitor_5000 c001n02" [ style = bold]
@@ -13,18 +16,30 @@
 "DcIPaddr_stop_0 c001n02" -> "all_stopped" [ style = bold]
 "DcIPaddr_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc_c001n01_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_6000 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_5000 c001n08" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/params-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-1.exp
@@ -213,6 +213,51 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="23" operation="stop" operation_key="DcIPaddr_stop_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/params-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-2.dot
@@ -1,15 +1,19 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "do_shutdown node1" [ style=bold color="green" fontcolor="black" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc1_monitor_0 node3" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node3" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "do_shutdown node1" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_delete_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_delete_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node3" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node3" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node3" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -19,8 +23,10 @@
 "rsc2_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_delete_0 node3" -> "rsc3_start_0 node3" [ style = bold]
 "rsc3_delete_0 node3" [ style=bold color="green" fontcolor="black"]
+"rsc3_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node1" -> "rsc3_start_0 node3" [ style = bold]
 "rsc3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node3" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node3" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/params-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/params-2.exp
@@ -160,6 +160,24 @@
         <rsc_op id="2" operation="stop" operation_key="rsc2_stop_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc3_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc1_monitor_0" on_node="node3" on_node_uuid="node3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc2_monitor_0" on_node="node3" on_node_uuid="node3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="12" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
      </inputs>
